igeo

## Class IBSplineBasisFunction

- java.lang.Object
- - igeo.IBSplineBasisFunction

-     public class IBSplineBasisFunction
      extends java.lang.Object

  Implementation of Bernstein polynomial for NURBS geometry.
  Author:
    Satoru Sugihara

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `IBSplineBasisFunction.IBSplineBasisSubFunction` Implementation of sub-indexed Bernstein polynominal for NURBS geometry.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `degree`
    `IBSplineBasisFunction.IBSplineBasisSubFunction[]` | `functions`
    `double[]` | `knots`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IBSplineBasisFunction(IBSplineBasisFunction bf)`
    `IBSplineBasisFunction(int degree, double[] knots)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `differentiate()`
    `IBSplineBasisFunction` | `dup()`
    `double[]` | `eval(double x)`
    `double[]` | `eval(int index, double x)`
    `IMatrix` | `getBezierMatrix(int i)`
    `IMatrix[]` | `getMatrices()`
    `IMatrix` | `getMatrix(int i)`
    `int` | `index(double x)`
    `void` | `init()`
    `void` | `init(IBSplineBasisFunction bf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### degree

          public int degree

    - #### functions

          public IBSplineBasisFunction.IBSplineBasisSubFunction[] functions

    - #### knots

          public double[] knots

  - ### Constructor Detail

    - #### IBSplineBasisFunction

          public IBSplineBasisFunction(int degree,
                                       double[] knots)

    - #### IBSplineBasisFunction

          public IBSplineBasisFunction(IBSplineBasisFunction bf)

  - ### Method Detail

    - #### dup

          public IBSplineBasisFunction dup()

    - #### init

          public void init(IBSplineBasisFunction bf)

    - #### init

          public void init()

    - #### index

          public int index(double x)

    - #### eval

          public double[] eval(double x)

    - #### eval

          public double[] eval(int index,
                               double x)

    - #### differentiate

          public void differentiate()

    - #### getMatrices

          public IMatrix[] getMatrices()

    - #### getMatrix

          public IMatrix getMatrix(int i)

    - #### getBezierMatrix

          public IMatrix getBezierMatrix(int i)